Package org.zkoss.bind.impl

## Class BindContextUtil

- java.lang.Object
- - org.zkoss.bind.impl.BindContextUtil

-     public class BindContextUtil
      extends java.lang.Object

  to help handling BindContext, internal use only,
  Since:
    6.0.0
  Author:
    dennis

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BindContextUtil()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static BindContext` | `newBindContext​(Binder binder, Binding binding, boolean save, java.lang.String command, Component comp, Event event)` |
    `static void` | `setCommandArgs​(Binder binder, Component comp, BindContext ctx, java.util.Map<java.lang.String,​java.lang.Object> args)` |
    `static void` | `setConverterArgs​(Binder binder, Component comp, BindContext ctx, PropertyBinding binding)` |
    `static void` | `setValidatorArgs​(Binder binder, Component comp, BindContext ctx, SaveFormBinding binding)` |
    `static void` | `setValidatorArgs​(Binder binder, Component comp, BindContext ctx, SavePropertyBinding binding)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BindContextUtil

          public BindContextUtil()

  - ### Method Detail

    - #### newBindContext

          public static BindContext newBindContext​(Binder binder,
                                                   Binding binding,
                                                   boolean save,
                                                   java.lang.String command,
                                                   Component comp,
                                                   Event event)

    - #### setCommandArgs

          public static void setCommandArgs​(Binder binder,
                                            Component comp,
                                            BindContext ctx,
                                            java.util.Map<java.lang.String,​java.lang.Object> args)

    - #### setConverterArgs

          public static void setConverterArgs​(Binder binder,
                                              Component comp,
                                              BindContext ctx,
                                              PropertyBinding binding)

    - #### setValidatorArgs

          public static void setValidatorArgs​(Binder binder,
                                              Component comp,
                                              BindContext ctx,
                                              SavePropertyBinding binding)

    - #### setValidatorArgs

          public static void setValidatorArgs​(Binder binder,
                                              Component comp,
                                              BindContext ctx,
                                              SaveFormBinding binding)